Organizations - Service Level Agreements API
List service level agreements of an organization
Заголовок раздела «List service level agreements of an organization»List all
service level agreements
which coverage field is set to
organizations
and which cover an organization with a specific ID.
GET /organizations/:id/slasResponse
Заголовок раздела «Response»Status: 200 OK[ { "name": "BlackBerry Standard Smart Phone for Widget Data Center, External IT", "created_at": "2016-03-14T03:10:46-06:00", "sourceID": null, "updated_at": "2016-03-14T03:10:46-06:00", "account": { "name": "Widget North America", "id": "wna" }, "id": 145, "service_offering": { "name": "BlackBerry Standard Smart Phone", "service": { "name": "Smart Phone", "account": { "name": "Widget North America", "id": "wna" }, "id": 45, "provider": { "name": "Widget North America, Information Technology", "account": { "name": "Widget North America", "id": "wna" }, "id": 45 } }, "account": { "name": "Widget North America", "id": "wna" }, "id": 62 }, "status": "active" }, { "name": "BlackBerry Standard Smart Phone for Widget Data Center, Internal IT", "created_at": "2016-03-14T03:10:46-06:00", "sourceID": null, "updated_at": "2016-03-14T03:10:46-06:00", "account": { "name": "Widget North America", "id": "wna" }, "id": 146, "service_offering": { "name": "BlackBerry Standard Smart Phone", "service": { "name": "Smart Phone", "account": { "name": "Widget North America", "id": "wna" }, "id": 45, "provider": { "name": "Widget North America, Information Technology", "account": { "name": "Widget North America", "id": "wna" }, "id": 45 } }, "account": { "name": "Widget North America", "id": "wna" }, "id": 62 }, "status": "active" }, "..."]The response contains these fields by default.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/organizations/:id/slas/active: List all active service level agreements of an organization with a specific ID/organizations/:id/slas/inactive: List all inactive service level agreements of an organization with a specific ID